application/json

Body

  • orderId string
  • status integer
  • timeStamp string(uri)
  • reason string
  • channelOrderId string
  • location string
  • isIgnoredPOSStatus boolean

Responses

  • 200 application/json

    Ok

POST /orderStatus
curl \
 --request POST 'http://api.example.com/orderStatus' \
 --header "Content-Type: application/json" \
 --data '{"orderId":"62********************e4","status":20,"timeStamp":"YYYY-MM-DDTHH:mm:ss.SSSSSSZ","reason":"","channelOrderId":"T5*****17e","location":"61********************r2","isIgnoredPOSStatus":false}'
Request example
{
  "orderId": "62********************e4",
  "status": 20,
  "timeStamp": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
  "reason": "",
  "channelOrderId": "T5*****17e",
  "location": "61********************r2",
  "isIgnoredPOSStatus": false
}
Response examples (200)
{
  "message": "Order status update received successfully"
}